출처: http://la-nube.tistory.com/225 [la Nube의 소소한 취미생활]


<배포판 및 커널 버전확인하는 방법>

터미널에 lsb_release -a && uname -a 라고 입력합니다.


--


<Debian>


데비안 9 Stretch (Stable)

 - 장기지원 커널 4.9 : 커널 4.9.30-2+deb9u3 최신버전 확인

 - 2022년 중 지원종료 예정


데비안 8 Jessie (OldStable) / 리눅스민트데비안에디션(LMDE) 2 Betsy

 - 장기지원 커널 3.16 : 커널 3.16.43-2+deb8u2 최신버전 확인

 - 2020년 중 지원종료 예정


데비안 7 Wheezy

 - 장기지원 커널 3.2 : 커널 3.2.89-2 최신버전 확인

 - 2018년 중 지원종료 예정


*데비안과 LMDE의 커널 업데이트는 터미널에서 다음의 명령어를 통해 가능합니다.

$ sudo apt-get update && sudo apt-get -y dist-upgrade && sudo apt-get -y autoremove --purge && sudo apt-get autoclean


*데비안과 LMDE의 커널 업데이트가 완료된 후에는 반드시 재부팅을 해야 합니다.

$ sudo reboot


--


<Ubuntu>


우분투 17.04

 - 커널 4.10 (9개월 간 지원) : 커널 4.10.0-30 에서 커널 4.10.0-32 로 업데이트

   다음의 보안 취약점들을 해결하였음

   1. CVE-2017-1000112 : http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000112

   2. CVE-2017-1000111 : http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000111

   <참고> USN-3384-1: Linux kernel vulnerabilities - https://usn.ubuntu.com/usn/usn-3384-1/

 - 2018년 1월 중 지원종료 예정



우분투 16.10

 - 지원종료



우분투 16.04 LTS

 - GA 커널 4.4 (장기지원) : 커널 4.4.0-89 에서 커널 4.4.0-91 로 업데이트

   다음의 보안 취약점들을 해결하였음

   1. CVE-2017-1000112 : http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000112

   2. CVE-2017-1000111 : http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000111

   <참고> USN-3385-1: Linux kernel vulnerabilities - https://usn.ubuntu.com/usn/usn-3385-1/


 - HWE 커널 4.10 (6개월 간 지원) : 커널 4.10.0-30 에서 커널 4.10.0-32 로 업데이트

   다음의 보안 취약점들을 해결하였음

   1. CVE-2017-1000112 : http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000112

   2. CVE-2017-1000111 : http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000111

   <참고> USN-3384-2: Linux kernel (HWE) vulnerabilities - https://usn.ubuntu.com/usn/usn-3384-2/

 - 2021년 4월 중 지원종료 예정



우분투 14.04 LTS

 - GA 커널 3.13 (장기지원) : 커널 3.13.0-126 에서 커널 3.13.0-128 로 업데이트

   다음의 보안 취약점들을 해결하였음

   1. CVE-2017-1000112 : http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000112

   2. CVE-2017-1000111 : http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000111

   <참고> USN-3386-1: Linux kernel vulnerabilities - https://usn.ubuntu.com/usn/usn-3386-1/


 - HWE 커널 4.4 (장기지원) : 커널 4.4.0-89 에서 커널 4.4.0-91 로 업데이트

   다음의 보안 취약점들을 해결하였음

   1. CVE-2017-1000112 : http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000112

   2. CVE-2017-1000111 : http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000111

   <참고> USN-3385-2: Linux kernel (Xenial HWE) vulnerabilities - https://usn.ubuntu.com/usn/usn-3385-2/

 - 2019년 4월 중 지원종료 예정



우분투 12.04 LTS

 - 지원종료


*우분투의 커널 업데이트는 터미널에서 다음의 명령어를 통해 가능합니다.

sudo apt-get update && sudo apt-get -y dist-upgrade && sudo apt-get -y autoremove --purge && sudo apt-get autoclean


*우분투의 커널 업데이트가 완료된 후에는 반드시 재부팅을 해야 합니다.

sudo reboot


*우분투에서는 GA(General Availability), HWE(Hardware Enablement), HWE Edge 중 하나의 커널만 사용합니다.


*여기에서 말하는 우분투는 다른 모든 우분투 공식 및 비공식 변형판을 포함합니다. 예를 들어, 주분투, 루분투, 쿠분투, 우분투그놈, 우분투마테, 우분투벗지, 엘리멘터리OS, 페퍼민트OS, 리눅스라이트, 조린OS 등을 모두 포함합니다.


--


<Linux Mint/HamoniKR>


리눅스민트 18.2

 - 업데이트 매니저 → 메뉴 중 보기(V) → 리눅스 커널

 - "커널 4.10" 중 최신버전 설치 : 커널 4.10.0-30 에서 커널 4.10.0-32 로 업데이트

   다음의 보안 취약점들을 해결하였음

   1. CVE-2017-1000112 : http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000112

   2. CVE-2017-1000111 : http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000111

   <참고> USN-3384-2: Linux kernel (HWE) vulnerabilities - https://usn.ubuntu.com/usn/usn-3384-2/

 - 2021년 4월 중 지원종료 예정


리눅스민트 18, 18.1

 - 업데이트 매니저 → 메뉴 중 보기(V) → 리눅스 커널

 - "권장하는 보안 업데이트" 설치 : 커널 4.4.0-89 에서 커널 4.4.0-91 로 업데이트

   다음의 보안 취약점들을 해결하였음

   1. CVE-2017-1000112 : http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000112

   2. CVE-2017-1000111 : http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000111

   <참고> USN-3385-1: Linux kernel vulnerabilities - https://usn.ubuntu.com/usn/usn-3385-1/

 - 2021년 4월 중 지원종료 예정


리눅스민트 17.3 / 하모니카 2.1

 - 업데이트 매니저 → 메뉴 중 보기(V) → 리눅스 커널

 - 최신버전 설치 : 커널 4.4.0-89 에서 커널 4.4.0-91 로 업데이트

   다음의 보안 취약점들을 해결하였음

   1. CVE-2017-1000112 : http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000112

   2. CVE-2017-1000111 : http://people.ubuntu.com/~ubuntu-security/cve/CVE-2017-1000111

   <참고> USN-3385-2: Linux kernel (Xenial HWE) vulnerabilities - https://usn.ubuntu.com/usn/usn-3385-2/

 - 2019년 4월 중 지원종료 예정


리눅스민트 13

 - 지원종료


*리눅스민트와 하모니카의 커널 업데이트가 완료된 후에는 반드시 재부팅을 해야 합니다.

 : 시작 메뉴 - 종료 - 다시 시작(R)


--


<RHEL/CentOS>


RHEL 7.3-1611 / CentOS 7.3-1611

 - 장기지원 커널 3.10 : 커널 3.10.0-514.26.2.el7 최신버전 확인

 - 2024년 6월 30일 지원종료 예정


RHEL 6.9 / CentOS 6.9

 - 장기지원 커널 2.6 : 커널 2.6.32-696.6.3.el6 최신버전 확인

 - 2020년 11월 30일 지원종료 예정


RHEL 5.11 / CentOS 5.11

 - 지원종료


*RHEL과 CentOS의 커널 업데이트는 터미널에서 다음의 명령어를 통해 가능합니다.

$ sudo yum update


*RHEL과 CentOS의 커널 업데이트가 완료된 후에는 반드시 재부팅을 해야 합니다.

$ sudo reboot


--


*위 정보는 우분투 12.04 ESM(Extended Security Maintenance)과 RHEL 5 ELS(Extended Lifecycle Support)를 포함하지 않습니다.

*위 정보는 작성자가 주로 사용하는 리눅스 배포판에 대해서만 작성하였습니다. 그 외의 배포판은 알아서 하셔야 합니다.


<참고>

https://launchpad.net/ubuntu/+source/linux/

https://launchpad.net/ubuntu/+source/linux-hwe

https://launchpad.net/ubuntu/+source/linux-lts-xenial/

https://launchpad.net/ubuntu/+source/linux-hwe-edge

https://launchpad.net/~canonical-kernel-team/+archive/ubuntu/ppa

http://kernel.ubuntu.com/~kernel-ppa/mainline/

https://packages.debian.org/stretch/linux-image-amd64

https://packages.debian.org/stretch/linux-image-4.9.0-3-amd64

https://packages.debian.org/jessie-backports/linux-image-amd64

https://packages.debian.org/jessie-backports/linux-image-4.9.0-0.bpo.3-amd64

https://packages.debian.org/jessie/linux-image-amd64

https://packages.debian.org/jessie/linux-image-3.16.0-4-amd64

https://packages.debian.org/wheezy/linux-image-amd64

https://packages.debian.org/wheezy/linux-image-3.2.0-4-amd64

https://wiki.debian.org/DebianReleases

http://vault.centos.org/6.9/updates/Source/SPackages/

http://vault.centos.org/7.3.1611/updates/Source/SPackages/

http://vault.centos.org/

https://access.redhat.com/support/policy/updates/errata/

https://wiki.centos.org/About/Product



출처: http://la-nube.tistory.com/225 [la Nube의 소소한 취미생활]

번호 제목 글쓴이 날짜 조회 수
공지 하모니카 2.1 로사 RC1 릴리즈 합니다. [10] 하모니카 2016.01.12 75194
공지 차기 버전에 꼭 들어갔으면 하는 패키지를 추천해 주세요. [35] 하모니카 2014.12.12 98684
공지 인터넷 뱅킹, 인터넷 쇼핑을 할 수 있는 사이트를 올려주세요. [2] 하모니카 2014.12.02 93586
1164 하모니카 다운로드 링크 죽었습니다. [6] updatefile Moordev 2017.08.13 285
» 리눅스 커널(Kernel) 보안 업데이트 - 우분투, 리눅스민트, 하모니카 la_Nube 2017.08.11 115
1162 커널 설치시 에러 또는 경고문이 나올적에.. [2] 사과우유 2017.08.11 124
1161 이전에 말했던 우분투 기반의 게이밍판 현재 진행상황입니다. [6] Moordev 2017.08.10 195
1160 우분투(리눅스) 크로미움(Chromium) 60.0.3112.78 발표 [1] la_Nube 2017.08.10 151
1159 리눅스 커널(Kernel) 보안 업데이트 4.9.30-2+deb9u3, 3.13.0-126 [1] la_Nube 2017.08.09 165
1158 Xfce 환경에서 Dropdown terminal 사용방법 [7] krhamoni 2017.08.09 226
1157 100 % 무료 및 오픈 소스 라이프 스타일 생활 가이드 [2] 행복한펭귄 2017.08.08 250
1156 FreeNAS Box에 데이터를 저장해야하는 10 가지 이유 [12] 행복한펭귄 2017.08.08 262
1155 리눅스를 사용하여 돈을 절약 할 수있는 방법 [6] 행복한펭귄 2017.08.08 238
1154 여러 개발자들의 리눅스 게임 판매 통계 [2] 행복한펭귄 2017.08.06 275
1153 리눅스 데스크탑 시장 점유률에 대한 최신 소식 [5] 행복한펭귄 2017.08.06 313
1152 [게임] 0 A.D. 새 버전 출시 행복한펭귄 2017.08.06 226
1151 [게임] Command & Conquer 시리즈 리눅스에서 즐기기 [10] file 행복한펭귄 2017.08.05 316
1150 [해결&질문] webdav 마운트 후 즉시 동영상 플레이 [4] 바람곰돌 2017.08.05 275
1149 우분투 16.04 리눅스 HWE 커널 보안 업데이트 USN-3377-2 [2] la_Nube 2017.08.04 290
1148 우분투 16.04, 14.04 리눅스 커널 4.4 보안 업데이트 USN-3378-1, USN-3378-2 la_Nube 2017.08.04 274
1147 [해결]dd로 부팅 USB 만드는 방법 아시는 분 있습니까? [5] krhamoni 2017.08.03 330
1146 우분투 기반의 게이밍용 배포판을 고려하고 있습니다. [22] file Moordev 2017.08.01 492
1145 나만의 맞춤형 Linux 배포판을 쉽게 만들 수있는 6 가지 도구 [3] 행복한펭귄 2017.08.01 433
loginbox
아직 회원이 아니세요? MEMBER JOIN